{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAP_GROUPE_PREVU; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = MAP_GROUPE; }; 
            name = mapGroupePrevu; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAP_GROUPE_REEL; 
            externalType = NUMBER; 
            name = mapGroupeReel; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAP_KEY; 
            externalType = NUMBER; 
            name = mapKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAP_LIBELLE; 
            externalType = VARCHAR2; 
            name = mapLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = MAP_SEUIL; 
            externalType = NUMBER; 
            name = mapSeuil; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAP_VALEUR; 
            externalType = NUMBER; 
            name = mapValeur; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MHCO_CODE; 
            externalType = VARCHAR2; 
            name = mhcoCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = MHMO_CODE; 
            externalType = VARCHAR2; 
            name = mhmoCode; 
            valueClassName = NSString; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (mapKey); 
    className = EOGenericRecord; 
    classProperties = (
        mapKey, 
        fannKey, 
        mapGroupePrevu, 
        mapLibelle, 
        mapSeuil, 
        mapValeur, 
        mhcoCode, 
        mhmoCode, 
        toScolMaquetteHoraireCode, 
        toScolMaquetteHoraireMode, 
        toScolMaquetteRepartitionAp, 
        toScolFormationAnnee, 
        mapGroupeReel
    ); 
    externalName = SCOL_MAQUETTE_AP; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteAp; 
    primaryKeyAttributes = (mapKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteHoraireCode; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mhcoCode; sourceAttribute = mhcoCode; }); 
            name = toScolMaquetteHoraireCode; 
        }, 
        {
            destination = ScolMaquetteHoraireMode; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mhmoCode; sourceAttribute = mhmoCode; }); 
            name = toScolMaquetteHoraireMode; 
        }, 
        {
            destination = ScolMaquetteRepartitionAp; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mapKey; sourceAttribute = mapKey; }); 
            name = toScolMaquetteRepartitionAp; 
        }
    ); 
}
